<script setup lang="ts">
import { inject, type Ref } from 'vue'
import CoffeeImg from '@/assets/CoffeeImg.png' //โหลดรูปภาพกาแฟมา
import { useUserStore } from '@/stores/user'
const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
const userStore = useUserStore()
</script>

<template>
  <!-- ใส่permanentจะได้มีเมนูปรากฎตลอดเวลา -->
  <v-navigation-drawer
    :rail="rail"
    :width="230"
    :height="300"
    permanent
    :style="{
      backgroundImage: `linear-gradient(to bottom, rgba(255, 255, 255, 0.7), rgba(255, 255, 255, 0.7)), url(${CoffeeImg})`
    }"
  >
    <v-list-item nav :height="140">
      <table>
        <tr>
          <td class="center-content">
            <div class="coffee-image-container">
              <img src="../assets/Coffee.png" />
            </div>
          </td>
        </tr>
        <tr>
          <td class="center-content">D-Coffee</td>
        </tr>
      </table>
      <template v-slot:append>
        <v-btn variant="text" icon="mdi-chevron-left" @click.stop="rail = !rail"></v-btn>
      </template>
    </v-list-item>
    <v-divider></v-divider>

    <v-list density="compact" nav>
      <v-list-item
        prepend-icon="mdi-store"
        link
        title="Point of Sell"
        value="POS"
        :to="{ name: 'pos' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-package-variant-closed"
        link
        title="Stock Management"
        value="SM"
        :to="{ name: 'sm' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-account-group"
        link
        title="Customer Management"
        value="CM"
        :to="{ name: 'cm' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-card-account-details"
        link
        title="Employee Management"
        value="EM"
        :to="{ name: 'em' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-account-tie"
        link
        title="User Management"
        value="UM"
        :to="{ name: 'um' }"
      ></v-list-item>
      <v-list-item
        prepend-icon="mdi-logout"
        link
        title="Logout"
        value="LO"
        :to="{ name: 'login' }"
        @click="userStore.logout()"
      ></v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>

<style scoped>
.center-content {
  text-align: center;
}

.coffee-image-container {
  width: 100px;
  /* ปรับขนาดตามที่คุณต้องการ */
  height: 100px;
  /* ปรับขนาดตามที่คุณต้องการ */
  border-radius: 50%;
  /* ทำให้รูปเป็นวงกลม */
  overflow: hidden;
  /* ล้อมรอบรูปด้วยวงกลม */
  background-color: sienna;
  /* กำหนดสีพื้นหลังเป็นสีดำ */
  display: flex;
  justify-content: center;
  align-items: center;
}

.coffee-image-container img {
  width: 100%;
  /* ขยายขนาดรูปให้เต็มพื้นที่ของ container */
  height: auto;
  /* ปรับขนาดสูงตามกว้าง */
  object-fit: cover;
}
</style>
